Upstream information

CVE-2011-5095 at MITRE

Description

The Diffie-Hellman key-exchange implementation in OpenSSL 0.9.8, when FIPS mode is enabled, does not properly validate a public parameter, which makes it easier for man-in-the-middle attackers to obtain the shared secret key by modifying network traffic, a related issue to CVE-2011-1923.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:H/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 768097 [RESOLVED / FIXED], 773908 [CLOSED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libopenssl0_9_8 >= 0.9.8j-59.11
  • libopenssl0_9_8-32bit >= 0.9.8j-59.11
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libopenssl0_9_8
SUSE Linux Enterprise Desktop 12 SP1
  • libopenssl0_9_8 >= 0.9.8j-81.1
  • libopenssl0_9_8-32bit >= 0.9.8j-81.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libopenssl0_9_8
SUSE Linux Enterprise Desktop 12 SP2
  • libopenssl0_9_8 >= 0.9.8j-102.1
  • libopenssl0_9_8-32bit >= 0.9.8j-102.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libopenssl0_9_8
SUSE Linux Enterprise Desktop 12 SP3
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libopenssl0_9_8
SUSE Linux Enterprise Module for Legacy Software 12
  • libopenssl0_9_8 >= 0.9.8j-59.11
  • libopenssl0_9_8-32bit >= 0.9.8j-59.11
Patchnames:
SUSE Linux Enterprise Module for Legacy Software 12 GA libopenssl0_9_8
SUSE Linux Enterprise Server 11 SP1
  • libopenssl-devel >= 0.9.8j-0.66.1
  • libopenssl0_9_8 >= 0.9.8j-0.44.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac-x86 >= 0.9.8j-0.44.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.44.1
  • openssl >= 0.9.8j-0.44.1
  • openssl-doc >= 0.9.8j-0.44.1
Patchnames:
slessp1-libopenssl-devel
SUSE Linux Enterprise Server 11 SP2
  • libopenssl-devel >= 0.9.8j-0.66.1
  • libopenssl0_9_8 >= 0.9.8j-0.44.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac-x86 >= 0.9.8j-0.44.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.44.1
  • openssl >= 0.9.8j-0.44.1
  • openssl-doc >= 0.9.8j-0.44.1
Patchnames:
slessp1-libopenssl-devel
SUSE Linux Enterprise Server 11 SP3
  • libopenssl0_9_8 >= 0.9.8j-0.50.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.50.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.50.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.50.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.50.1
  • openssl >= 0.9.8j-0.50.1
  • openssl-doc >= 0.9.8j-0.50.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libopenssl0_9_8
SUSE Linux Enterprise Server 11 SP4
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libopenssl0_9_8
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libopenssl-devel >= 0.9.8j-0.70.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libopenssl-devel
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libopenssl-devel >= 0.9.8j-0.44.1
Builds
SAT Patch Nr: 6521
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • libopenssl0_9_8 >= 0.9.8j-0.44.1
  • openssl >= 0.9.8j-0.44.1
Builds
SAT Patch Nr: 6521
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • libopenssl0_9_8 >= 0.9.8j-0.44.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.44.1
  • openssl >= 0.9.8j-0.44.1
Builds
SAT Patch Nr: 6521
SUSE Linux Enterprise Server 11 SP1 for VMware
  • libopenssl0_9_8 >= 0.9.8j-0.44.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.44.1
  • openssl >= 0.9.8j-0.44.1
  • openssl-doc >= 0.9.8j-0.44.1
Builds
SAT Patch Nr: 6521
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP2
  • libopenssl0_9_8 >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.44.1
  • openssl >= 0.9.8j-0.44.1
  • openssl-doc >= 0.9.8j-0.44.1
Builds
SAT Patch Nr: 6521
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
  • libopenssl0_9_8 >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac-x86 >= 0.9.8j-0.44.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.44.1
  • openssl >= 0.9.8j-0.44.1
  • openssl-doc >= 0.9.8j-0.44.1
Builds
SAT Patch Nr: 6521
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
  • libopenssl0_9_8 >= 0.9.8j-0.44.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.44.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.44.1
  • openssl >= 0.9.8j-0.44.1
  • openssl-doc >= 0.9.8j-0.44.1
Builds
SAT Patch Nr: 6521


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 openssl Released
SUSE Linux Enterprise SDK 11 SP1 openssl Released
SUSE Linux Enterprise Server 11 SP1 openssl Released
SUSE Linux Enterprise Server 11 SP1 LTSS openssl Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 openssl Released
SUSE Studio Onsite 1.3 openssl Released